CIMAG(3)

NAME
cimag, cimagf, cimagl - get imaginary part of a complex number

SYNOPSIS
#include <complex.h>

double cimag(double complex z);
float cimagf(float complex z);
long double cimagl(long double complex z);

Link with -lm.

DESCRIPTION
The cimag() function returns the imaginary part of the complex number z.

One has z = creal(z) + I * cimag(z).

CONFORMING TO
C99

NOTES
gcc also supports __imag__. That is a GNU extension.

SEE ALSO
cabs(3), creal(3), complex(7)